package de.tud.kom.p2psim.impl.topology;

import de.tud.kom.p2psim.api.common.SimHost;
import de.tud.kom.p2psim.api.topology.Topology;
import de.tud.kom.p2psim.api.topology.TopologyComponent;
import de.tud.kom.p2psim.api.topology.TopologyComponentFactory;
import de.tud.kom.p2psim.api.topology.movement.MovementModel;
import de.tud.kom.p2psim.api.topology.placement.PlacementModel;

public class DefaultTopologyComponentFactory implements TopologyComponentFactory {
    @Override
    public TopologyComponent createComponent(SimHost host, Topology topology, MovementModel movementModel, PlacementModel placementModel) {
        return new DefaultTopologyComponent(host, topology, movementModel, placementModel);
    }
}
